<?xml version="1.0" encoding="ISO-8859-1" standalone="yes"?>
<!--
This is a model XSLT example.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrn="http://xmlreleasenotes.free.fr" version="1.0">
	<xsl:output method="xml" indent="yes"/>
	<!--
	This is almost the identity transformation, except that some dummy information has been added.
	-->
	<xsl:template match="Releases/Release/Summary">
		<Summary>
			<xsl:copy-of select="text()"/>
			<xsl:text> Dummy last-summary-word!!!</xsl:text>
		</Summary>
	</xsl:template>
	<xsl:template match="*">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="comment() | processing-instruction()">
		<xsl:copy/>
	</xsl:template>
	<xsl:template match="node()" mode="copy">
		<xsl:element name="{name()}">
			<xsl:apply-templates select="@* | * | text()" mode="copy"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="@*" mode="copy">
		<xsl:attribute name="{name()}"><xsl:value-of select="."/></xsl:attribute>
	</xsl:template>
	<xsl:template match="text()" mode="copy">
		<xsl:value-of select="."/>
	</xsl:template>
</xsl:stylesheet>
